import { Component, OnInit } from '@angular/core';
import {FormControl, FormGroup} from "@angular/forms";
import {RandomDTO, RandomService} from "../../services/random.service";

@Component({
  selector: 'random-component',
  templateUrl: './random.component.html',
  styleUrls: ['./random.component.scss']
})
export class RandomComponent implements OnInit {

  constructor(private randomService: RandomService) { }

  randomDTO: RandomDTO;
  randomForm: FormGroup;

  ngOnInit(): void {
    this.randomDTO = new RandomDTO();
    this.randomForm = new FormGroup({
      min: new FormControl('0'),
      max: new FormControl('1'),
    });
  }

  randomClick() {
    const min = this.randomForm.get('min')!.value;
    const max = this.randomForm.get('max')!.value;
    this.randomService.getRandom(min, max).subscribe(result => this.randomDTO = result);
  }
}
